Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.router.transport
Class TransportBid

    java.lang.Object
      net.i2p.router.transport.TransportBid

    public class TransportBid

extends Object

Provide a bid for how much it would "cost" to transfer a message of a particular peer

Field Summary
`static int` | `TRANSIENT_FAIL`

Constructor Summary
`TransportBid()`

Method Summary
`int` | `getBandwidthBytes()` How many bytes the transport thinks it would need to send to transfer the message successfully
`long` | `getExpiration()` Specifies how long this bid is "good for"
`int` | `getLatencyMs()` How long this transport thinks it would take to send the message
`int` | `getMessageSize()` How large the message in question is, in bytes
`RouterInfo` | `getRouter()` Router to which the message is to be sent
`Transport` | `getTransport()` Specifies the transport that offered this bid
`void` | `setBandwidthBytes(int numBytes)`
`void` | `setExpiration(long expirationDate)`
`void` | `setLatencyMs(int milliseconds)`
`void` | `setMessageSize(int numBytes)`
`void` | `setRouter(RouterInfo router)`
`void` | `setTransport(Transport transport)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TRANSIENT_FAIL

    public static final int TRANSIENT_FAIL

See Also:
  Constant Field Values

Constructor Detail

### TransportBid

    public TransportBid()

Method Detail

### getLatencyMs

    public int getLatencyMs()

  How long this transport thinks it would take to send the message

### setLatencyMs

    public void setLatencyMs(int milliseconds)

### getBandwidthBytes

    public int getBandwidthBytes()

  How many bytes the transport thinks it would need to send to transfer the message successfully

### setBandwidthBytes

    public void setBandwidthBytes(int numBytes)

### getMessageSize

    public int getMessageSize()

  How large the message in question is, in bytes

### setMessageSize

    public void setMessageSize(int numBytes)

### getRouter

    public RouterInfo getRouter()

  Router to which the message is to be sent

### setRouter

    public void setRouter(RouterInfo router)

### getExpiration

    public long getExpiration()

  Specifies how long this bid is "good for"

### setExpiration

    public void setExpiration(long expirationDate)

### getTransport

    public Transport getTransport()

  Specifies the transport that offered this bid

### setTransport

    public void setTransport(Transport transport)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD